org.apache.xerces.impl.xs.util

## Class XS11TypeHelper

- java.lang.Object
- - org.apache.xerces.impl.xs.util.XS11TypeHelper

-     public class XS11TypeHelper
      extends java.lang.Object

  Class defining utility/helper methods to support XML Schema 1.1 implementation.
  Version:
    $Id: XS11TypeHelper.java 1890307 2021-05-29 09:07:37Z mukulg $
  Author:
    Mukul Gandhi, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Vector` | `getAssertsFromSimpleType(org.apache.xerces.xs.XSSimpleTypeDefinition simplType)`
    `static java.lang.String` | `getSchemaTypeName(org.apache.xerces.xs.XSTypeDefinition typeDefn)`
    `static org.eclipse.wst.xml.xpath2.processor.ResultSequence` | `getXPath2ResultSequence(java.util.List xdmItems)`
    `static boolean` | `isAtomicStrValueValidForSTUnion(org.apache.xerces.xs.XSObjectList memberTypes, java.lang.String content, ValidatedInfo validatedInfo, short schemaVersion)`
    `static boolean` | `isComplexTypeDerivedFromSTList(org.apache.xerces.xs.XSComplexTypeDefinition complexTypeDef, short derivationMethod)`
    `static boolean` | `isListContainsType(java.util.List typeList, org.apache.xerces.xs.XSTypeDefinition targetType)`
    `static boolean` | `isSchemaTypesIdentical(org.apache.xerces.xs.XSTypeDefinition typeDefn1, org.apache.xerces.xs.XSTypeDefinition typeDefn2)`
    `static boolean` | `isSpecialSimpleType(XSSimpleType simpleType)`
    `static boolean` | `isStrValueValidForASimpleType(java.lang.String value, XSSimpleType simplType, short schemaVersion)`
    `static boolean` | `isTypeTablesComparable(XSTypeAlternativeImpl[] typeTable1, XSTypeAlternativeImpl[] typeTable2)`
    `static boolean` | `isURIEqual(java.lang.String uri1, java.lang.String uri2)`
    `static boolean` | `simpleTypeHasAsserts(org.apache.xerces.xs.XSSimpleTypeDefinition simpleType)`
    `static void` | `validateQNameValue(java.lang.String qNameStr, org.apache.xerces.xni.NamespaceContext namespaceContext, XMLErrorReporter errorReporter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isSchemaTypesIdentical

          public static boolean isSchemaTypesIdentical(org.apache.xerces.xs.XSTypeDefinition typeDefn1,
                                       org.apache.xerces.xs.XSTypeDefinition typeDefn2)

    - #### isURIEqual

          public static boolean isURIEqual(java.lang.String uri1,
                           java.lang.String uri2)

    - #### isAtomicStrValueValidForSTUnion

          public static boolean isAtomicStrValueValidForSTUnion(org.apache.xerces.xs.XSObjectList memberTypes,
                                                java.lang.String content,
                                                ValidatedInfo validatedInfo,
                                                short schemaVersion)

    - #### isStrValueValidForASimpleType

          public static boolean isStrValueValidForASimpleType(java.lang.String value,
                                              XSSimpleType simplType,
                                              short schemaVersion)

    - #### validateQNameValue

          public static void validateQNameValue(java.lang.String qNameStr,
                                org.apache.xerces.xni.NamespaceContext namespaceContext,
                                XMLErrorReporter errorReporter)

    - #### getAssertsFromSimpleType

          public static java.util.Vector getAssertsFromSimpleType(org.apache.xerces.xs.XSSimpleTypeDefinition simplType)

    - #### simpleTypeHasAsserts

          public static boolean simpleTypeHasAsserts(org.apache.xerces.xs.XSSimpleTypeDefinition simpleType)

    - #### isListContainsType

          public static boolean isListContainsType(java.util.List typeList,
                                   org.apache.xerces.xs.XSTypeDefinition targetType)

    - #### isComplexTypeDerivedFromSTList

          public static boolean isComplexTypeDerivedFromSTList(org.apache.xerces.xs.XSComplexTypeDefinition complexTypeDef,
                                               short derivationMethod)

    - #### getSchemaTypeName

          public static java.lang.String getSchemaTypeName(org.apache.xerces.xs.XSTypeDefinition typeDefn)

    - #### isSpecialSimpleType

          public static boolean isSpecialSimpleType(XSSimpleType simpleType)

    - #### getXPath2ResultSequence

          public static org.eclipse.wst.xml.xpath2.processor.ResultSequence getXPath2ResultSequence(java.util.List xdmItems)

    - #### isTypeTablesComparable

          public static boolean isTypeTablesComparable(XSTypeAlternativeImpl[] typeTable1,
                                       XSTypeAlternativeImpl[] typeTable2)

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.